Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event.impl
Class JavaScriptWidgetListener

    java.lang.Object
      org.apache.cocoon.forms.event.impl.JavaScriptWidgetListener

Direct Known Subclasses:
  JavaScriptWidgetListener.JSActionListener, JavaScriptWidgetListener.JSCreateListener, JavaScriptWidgetListener.JSProcessingPhaseListener, JavaScriptWidgetListener.JSRepeaterListener, JavaScriptWidgetListener.JSTreeSelectionListener, JavaScriptWidgetListener.JSValueChangedListener

public abstract class JavaScriptWidgetListener
extends Object

Listeners built by `JavaScriptWidgetListenerBuilder`

Version:
  $Id: JavaScriptWidgetListener.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary
`static class` | `JavaScriptWidgetListener.JSActionListener`
`static class` | `JavaScriptWidgetListener.JSCreateListener`
`static class` | `JavaScriptWidgetListener.JSProcessingPhaseListener`
`static class` | `JavaScriptWidgetListener.JSRepeaterListener`
`static class` | `JavaScriptWidgetListener.JSTreeSelectionListener`
`static class` | `JavaScriptWidgetListener.JSValueChangedListener`

Constructor Summary
`JavaScriptWidgetListener(org.mozilla.javascript.Function func, org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`

Method Summary
`protected void` | `callScript(WidgetEvent event)` Call the script that implements the event handler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptWidgetListener

    public JavaScriptWidgetListener(org.mozilla.javascript.Function func,
                                    org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

Method Detail

### callScript

    protected void callScript(WidgetEvent event)

  Call the script that implements the event handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.